These are chat archives for esp8266/Arduino

27th
Sep 2017
Develo
@devyte
Sep 27 2017 05:03
@me-no-dev I was just looking through your repos looking for the asysynncudpyou have an esp-
...asyncudp one, and I came across esp-alt-sdk
It seems to use gcc 5.1? I believe the arduino core is still on gcc 4.8.x. Have you ever tried building the core with gcc 5.1?
Develo
@devyte
Sep 27 2017 05:08
(Sorry about ozom typo, 2yo daughter + typing = fail)
Me No Dev
@me-no-dev
Sep 27 2017 05:10
nope. were there any issues?
Develo
@devyte
Sep 27 2017 05:14
No, just asking if you ever tried it. I seem to remember a request for moving to a newer gcc,
I thought the compiler toolchain was provided by espressif
Me No Dev
@me-no-dev
Sep 27 2017 05:16
crosstool-ng is the toolchain we use :) both on ESP8266 and ESP32
Develo
@devyte
Sep 27 2017 05:21
From what I gather, it's on gcc 4.8.2 and the last commit was on 2014
Develo
@devyte
Sep 27 2017 05:27
This message was deleted
Any idea how difficult it'd be to move to gcc 5.1 or newer?
Me No Dev
@me-no-dev
Sep 27 2017 05:52
probably just a matter of rebuilding the toolchains for all OS :)
@igrr might have a better way to compile those (automated)